package ru.yandex.direct.web.entity.adgeneration.model.apply;

import java.util.List;

import javax.annotation.Nullable;

import ru.yandex.direct.core.entity.adgeneration.model.SitelinkSuggest;
import ru.yandex.direct.web.entity.adgeneration.model.response.WebGenerateSitelinkResult;

public class ApplySitelinksGeneration {

    @Nullable
    private Long saveReqId;
    @Nullable
    private Long bannerId;
    @Nullable
    private Long adGroupId;
    @Nullable
    private Long campaignId;
    @Nullable
    private List<WebGenerateSitelinkResult> generationResponses;
    @Nullable
    private List<SitelinkSuggest> showedSitelinks;
    @Nullable
    private List<SitelinkSuggest> savedSitelinks;

    @Nullable
    public Long getSaveReqId() {
        return saveReqId;
    }

    @Nullable
    public Long getBannerId() {
        return bannerId;
    }

    @Nullable
    public Long getAdGroupId() {
        return adGroupId;
    }

    @Nullable
    public Long getCampaignId() {
        return campaignId;
    }

    @Nullable
    public List<WebGenerateSitelinkResult> getGenerationResponses() {
        return generationResponses;
    }

    @Nullable
    public List<SitelinkSuggest> getShowedSitelinks() {
        return showedSitelinks;
    }

    @Nullable
    public List<SitelinkSuggest> getSavedSitelinks() {
        return savedSitelinks;
    }
}
